ScheduledMessages

Resume a review-paused scheduled message

Explicitly resumes a scheduled message after onboarding review clearance. An overdue message requires either send_now or a new future scheduledFor value.

POST
/v1/messages/scheduled/{id}/resume

Explicitly resumes a scheduled message after onboarding review clearance. An overdue message requires either send_now or a new future scheduledFor value.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^sched_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
choice*"send_now"
Value in"send_now"

Response Body

ScheduledMessage

application/json
  1. response
id*ScheduledMessageId
Match^sched_[0-9a-hjkmnp-tv-z]{16,24}$
status*string
Value in"pending""dispatching""paused""dispatched""cancelled""failed"
scheduledFor*string
timezone*string
send*||
messageId*|null
idempotencyKey*string|null
referenceId*string|null
failureReason*string|null
attempts*number
createdBy*string|null
actorEmail*string
memberRole*string
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.scheduledMessages.resume({  "id": "example",  "body": {    "choice": "send_now"  }});
Example Response
{  "id": "string",  "status": "pending",  "scheduledFor": "string",  "timezone": "string",  "send": {    "conversationId": "string",    "metadata": {      "property1": "string",      "property2": "string"    },    "channel": "email",    "to": [      {        "contactId": "string"      }    ],    "cc": [      {        "contactId": "string"      }    ],    "bcc": [      {        "contactId": "string"      }    ],    "from": {      "email": "string",      "name": "string"    },    "email": {      "subject": "string",      "html": "string",      "text": "string",      "attachments": [        {          "filename": "string",          "content": "string",          "mediaId": "string",          "contentType": "string",          "size": 1        }      ],      "publicationId": "string",      "inputContractId": "string",      "templateId": "string",      "templateSlug": "string",      "templateData": {        "property1": "string",        "property2": "string"      },      "locale": "string",      "timeZone": "string",      "inReplyToMessageId": "string",      "replyTo": [        "string"      ],      "topicId": "string",      "tracking": {        "opens": true,        "clicks": true      },      "footer": {        "enabled": true      },      "headers": {        "property1": "string",        "property2": "string"      }    }  },  "messageId": "string",  "idempotencyKey": "string",  "referenceId": "string",  "failureReason": "string",  "attempts": 0,  "createdBy": "string",  "actorEmail": "string",  "memberRole": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation